complexType "PrincipalExchanges"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | initialExchange?, finalExchange?, intermediateExchange?
</...>

Content Model Elements (3):

  finalExchange, initialExchange, intermediateExchange

All Direct / Indirect Based Elements (2):

  principalExchanges (defined in InterestRateStream complexType),
  principalExchanges (in principalExchangeFeatures)

Known Usage Locations

- As direct type of elements (2):
  principalExchanges (defined in InterestRateStream complexType),
  principalExchanges (in principalExchangeFeatures)

Annotation
A type defining which principal exchanges occur for the stream.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="PrincipalExchanges"> <xsd:sequence> <xsd:element minOccurs="0" name="initialExchange" type="xsd:boolean"/> <xsd:element minOccurs="0" name="finalExchange" type="xsd:boolean"/> <xsd:element minOccurs="0" name="intermediateExchange" type="xsd:boolean"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID" use="optional"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID" use="optional"/>

Content Element Detail (all declarations; defined within this component only; 3/3)
finalExchange

  Type: | xsd:boolean, predefined, simple content

  A true/false flag to indicate whether there is a final exchange of principal on the termination date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="finalExchange" type="xsd:boolean"/>

initialExchange

  Type: | xsd:boolean, predefined, simple content

  A true/false flag to indicate whether there is an initial exchange of principal on the effective date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialExchange" type="xsd:boolean"/>

intermediateExchange

  Type: | xsd:boolean, predefined, simple content

  A true/false flag to indicate whether there are intermediate or interim exchanges of principal during the term of the swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="intermediateExchange" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.